Autor Tema: ISO DE DESARROLLO 2.2_dev_09092020  (Leído 2086 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #40 en: 13-09-2020, 15:52 (Domingo) »
si me aburro mucho , hare una prueba , para saber que cosas exactamente necesitan  jdk , por que veo en slackbuilds muchas cosas que piden jdk , y luego son ejecutables, pero como dentro lleva las jre pues pide las full jdk ...


tendria que hacer las jre , y para engañar a slackbuilds , tendria que llamarse jdk para que no la pida al instalar otras cosas ..o simplemete tener las jre , y crear un log package falso de jdk para  slapt-src


« Última modificación: 13-09-2020, 15:53 (Domingo) por USUARIONUEVO »

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #41 en: 13-09-2020, 16:15 (Domingo) »
sobre el jdk solo hablas de cosas raras,
plugins de sonido y cosas asi pero sobretodo nada de wifi, a mi me interesa que funcione la wifi,
si funciona burpsuite esta todo de muerte este jre es super poderoso me ha salido mejor de lo que esperaba xD

si dices que hay que darle algo tan simple todo masticadito como pretendes que compilen en java,
el que sabe compilar en java sabe instalar jdk,
tambien se puede buscar uno compilado por alguien en la interne vuze esta en todos lados no hace falta compilarlo

pense que querias quitarle peso de verdad.........
vale que metas jdk en la normal pero en esta que es la reducida no esta bien,
yo sigo reduciendo tengo que volar mplayer smsplayer xxms y alguno mas del tema

lo del registro en java es de hace tiempo los kabrones hijos de *** * * **** * * ******* ******* ******* **** xD


no es cuestion de scripts es de ssltrip,
los scripts que usen el primero funcionan con el segundo y con el primero no daran ningun resultado
ssltrip2 sobreescribe el 1 no hay problemas,
en git hub lo encuentras,
wifipumkin sera el 3 el que pida ssltrip2 que es python3 y la movida del pyqt5, y en la distro tienes el 0.8 que es python2 pide ssltrip 1 lo pone cuando lo abres, la cosa no es que pida es que funcione,
no se si ssltrip va con python3 no puedo mirarlo ahora se me a petao el escritorio y hasta que no reinicie nada

y quien te dice lo del raton blutu??

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #42 en: 13-09-2020, 16:19 (Domingo) »
y quien te dice lo del raton blutu??

Tu que pones una app para ver la bateria de los dispositivos bluetooth , y yo te digo  que me funciona sin añadir nada.


Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #43 en: 13-09-2020, 16:19 (Domingo) »
qt5 la recompile, es 20 o 30 megas mas grande y no me das la brasa cabron.

ANTES USABA ESTO PARA HACERLA MAS PEQUEÑA

Código: [Seleccionar]
To NOT build qtwebengine (EXPERIMENTAL):

  WEBENGINE=no ./qt5.SlackBuild

Hasta que un dia intente instalar musescore y fallo por que no estaba dicho componente y me dije, vale ..me la pela el musescore , pero luego ...

Código: [Seleccionar]
python3-PyQtWebEngine
Ese paquete si lo usan mas apps , y obvio pide las qt5 webengine , osea que al final pase por el aro , ademas de los plugins , que luego las apps qt5 pueden pedir los plugins qt5-multimedia  ,  todo eso es opcional , pero jode cuando instalas algo y no va bien , o directamente no compila.

Para alguien que se defienda minimamente tal vez no seria un drama , el ya sabria que hico al compilar las qt5 y que necesitaria recompilarlas habilitando lo que necesite , pero la mayoria no sabria y por no hablar de recursos para compilar qt5 , ...en modo live imposible , a menos que seas apañao , tengas las sources en un hdd y ejecutes el slackbuild desde un hdd  ;D ;D ;D y aun asi , como tengas un pc medio flojo , ya te puedes ir a dormir y a lo mejor a acabado cuando te levantes  ;D
el qt5 lo tengo casi como el tema jdk jre,
2 modulos uno el dev con WebEngine el de qtdiseño o algo asi y alguno mas y cuando me lo pide alguna compilacion pues lo pongo y a otra cosa,
no se porque lo tengo asi la verdad

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #44 en: 13-09-2020, 16:20 (Domingo) »
pense que querias quitarle peso de verdad.........
vale que metas jdk en la normal pero en esta que es la reducida no esta bien,
yo sigo reduciendo tengo que volar mplayer smsplayer xxms y alguno mas del tema

esta no es una version reducida, sera el proximo wifislax ,dejando fuera todo lo que pueda dejar fuera , no hay version normal y reducida..si fuese reducida empezaria por quitar kde4 e intentar quitar las qt4..quitaria los compiladores y quitaria todo ,pero seria un asco trabajar asi.
« Última modificación: 13-09-2020, 16:21 (Domingo) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #45 en: 13-09-2020, 16:28 (Domingo) »
no estoy buscando el minimalismo puro , por asi decirlo , estoy buscando solo quitar lo que no tenga que ver con wifi  ...  las qt5 la piden apps wifi , y es como el jdk ,  si , lo piden 2 o 3 apps , pero tienen que estar  ¿o quito wireshark?  ;D

wireshark como analizador de red, tambien es capaz de detectar paquetes multimedia , siempre que qt5 los llevara activados  ...  ¿funcionaria sin ello? ..SI  , ... igual que es capaz de detectar llamadas de voz a traves de ip , no me acuerdo si para eso se necesitaba el portaudio  ...  que a priori parece cosa multimedia ,pero esta mas bien por wireshark.

lo que esta en la iso es por algo , normalmente por que habilita algun extra en alguna app.

con hydra tienes el mismo panorama, puedes compilarlo y catapunchinpun , pero si te fijas, al compilarlo busca una serie de librerias que habilitaran que pueda trabajar en ciertas situaciones ... ¿puedes compilarlo sin? ..por supuesto

y asi va todo amigo , ettercap puedes compilarlos sin la  gui  ... 

pero al final tienes un sistema de mierda que no puede hacer todo lo que podria con las librerias adecuadas.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #46 en: 13-09-2020, 16:31 (Domingo) »
muchas veces me voy a la pagina de archlinux ...a piponear , por que suelen poner el porque una lib es requerida ...

acabo de entrar a mirar el wireshark de archlinux, y estan quitando las descripciones, pero vamos, puedes ver como wireshark , pide las qt5-multimedia ...aunque sea como optional.

https://github.com/archlinux/svntogit-community/blob/packages/wireshark/trunk/PKGBUILD


Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #47 en: 13-09-2020, 16:48 (Domingo) »
pero no compares qt5 con jdk
vlc tambien necesita qt5 y antes del cambio de version qt4,
qt5 lo necesitasn millones de apps chulos jdk lo necesitan 4 kapullos toca guevos
yo uso qt3 4 y 5

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #48 en: 13-09-2020, 17:01 (Domingo) »
Intentare lo que te puesto mas arriba , poner jre , y luego un pak  , como si jdk estubiera..para engañar a slapt-src.


e intentare los slackbuilds que piden jdk , que ya he revisado algunos y lo que hacen en empaquetar un .jar  , pero como en slackbuilds jre no existe ,por eso piden el full.


hablabas , mas atras de xmms , ... me gustaria quitarlo tambien , pero estaba binculado a mplayer  ....no te va a funcionar mplayer si lo quitas ...o eso o recompilas mplayer ... y te libras de xmms y de gtk1

no es con mplayer , creo que era con libvorbis o una de esas ...

no entiendo a veces con se vinculan las librerias al compilar ...

aalib , una libreria para text asc ...  si la quitas no va mplayer  ;D  , como si mplayer crease mosaicos de texto asc2  ..pff.
« Última modificación: 13-09-2020, 17:06 (Domingo) por USUARIONUEVO »

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #49 en: 14-09-2020, 04:40 (Lunes) »
donde vas por la vida sin cryptsetup locoooooo


Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #50 en: 14-09-2020, 04:48 (Lunes) »
donde vas por la vida sin cryptsetup locoooooo


no es necesario para wifi ,  ;D

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #51 en: 14-09-2020, 19:45 (Lunes) »
si que lo es si tenia las contraseñas cifradas en luks y ahora no puedo abrirlo xDD

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #52 en: 14-09-2020, 19:50 (Lunes) »
si que lo es si tenia las contraseñas cifradas en luks y ahora no puedo abrirlo xDD

incluire ese y el mkinitrd   , que quise hacer uno y no estaba el paquete.

Desconectado VER

  • **
  • Mensajes: 39
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #53 en: 15-09-2020, 00:24 (Martes) »
Eso suena a KDE 5 instalado

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #54 en: 15-09-2020, 00:42 (Martes) »
Eso suena a KDE 5 instalado

tu vales para musico , para sordos digo  ;D

Desconectado VER

  • **
  • Mensajes: 39
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #55 en: 15-09-2020, 09:22 (Martes) »
Pues este sordo estás siguiendo ciertos patrones de SUSE® Linux para KDE  5

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #56 en: 15-09-2020, 16:34 (Martes) »
Pues este sordo estás siguiendo ciertos patrones de SUSE® Linux para KDE  5

enhorabuena , pero sigo sin ver que tiene que ver eso ni kde5  con esta iso ..

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #57 en: 17-09-2020, 01:16 (Jueves) »
Este programa se llama WiFiBroot y es para eso que llaman wifi
https://github.com/hash3liZer/WiFiBroot
el programa es python 2 no hace falta instalar ni compilar ni nada lo descargas lo abres y lo ejecutas

se basa en conseguir contraseñas

tiene 4 modos de ataque
   01   Capture 4-way handshake and crack MIC code
   02   Captures and Crack PMKID (PMKID Attack)
   03   Perform Manaul cracking on available capture
   04   Deauthentication Dos

la captura es del modo PMKID



escanea, eliges, certifica si es vulnerable o no, y chekea con diccionario ondeflai mientras desayunas,
tambien se puede guardar el archivo PMKID y crakearlo despues con el modo 03,
un todo en uno mas muy rapido y efectivo en todos los modos.

pues en wifislax da un error de scapy que no se arreglar


reinstale scapy lo intente actualizar le instale una version explicita pero siempre sale lo mismito,
a ver si alguien sabe como se arregla que el programa mola mucho sobretodo para eso que llaman wifi

salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #58 en: 17-09-2020, 01:30 (Jueves) »
facil solo funciona con scapy==2.4.0

lo pone en su documentacion.

el problema es que tocas scapy no es tan facil , por que otras cosas lo usan y sin embargo piden mas alto de 2.4.0.


si quieres que te funcione por lo menos para probar

Código: [Seleccionar]
pip install scapy==2.4.0
y luego te pedira esta otra

Código: [Seleccionar]
slapt-src -i python-pbkdf2
« Última modificación: 17-09-2020, 01:33 (Jueves) por USUARIONUEVO »

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:ISO DE DESARROLLO 2.2_dev_09092020
« Respuesta #59 en: 17-09-2020, 01:43 (Jueves) »
le instale la 2.4.4 y no funciona que es la ultima porque la que viene con wifislax es una version de git,
pues claro que quiero que funcione tu que crees
ahora que miro en esta que estoy lleva scapy 2.4.0 precisamente,

siempre puedes hacer un modulo con esa version de scapy y activarlo solo cuando vayas a usar WiFiBroot
asi no se rompe nada fijo
es que me gusta el programa

ahora probare gracias por leerte la documentacion xD
no es el tipico paquete python que viene con el requeriment.txt

pbkdf2 se puede instalar desde pip tambien

.
« Última modificación: 17-09-2020, 01:45 (Jueves) por waydeparaguai »